List templates
curl --request GET \
--url https://api.atlaswork.ai/api/v1/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlaswork.ai/api/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlaswork.ai/api/v1/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"name": "<string>",
"namePattern": "<string>",
"originalFilename": "<string>",
"sourceFormat": "<string>",
"contentHash": "<string>",
"sizeBytes": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"useCount": 1,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Templates
List templates
GET
/
api
/
v1
/
templates
List templates
curl --request GET \
--url https://api.atlaswork.ai/api/v1/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlaswork.ai/api/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlaswork.ai/api/v1/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"name": "<string>",
"namePattern": "<string>",
"originalFilename": "<string>",
"sourceFormat": "<string>",
"contentHash": "<string>",
"sizeBytes": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"useCount": 1,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Authorizations
apiKeyoauthJwt
Organization API key (format atlas_sk_...), passed as a bearer token or the x-api-key header. Created and revoked in the dashboard (Better Auth api-key plugin); shown in full only once and stored hashed.